Pagina 1 di 1

problemi con server jack in 14.2 current 64bit - RISOLTO

Inviato: mer 10 nov 2021, 23:27
da piccoloesploratore
Salve a tutti.
Premetto che l'audio funziona (anche i midi con audacious)
Ho però un grosso problema col server jack (che non ne vuol sapere di partire) e la slackware 14.2-64 current,
cosa che non mi è mai capitata con la gloriosa 14.1 32 bit.
Ho un vecchio desktop intel dual core con 4 Giga di RAM

Codice: Seleziona tutto

bash-5.1# uname -a
Linux darkstar.example.net 5.10.36 #1 SMP Tue May 11 13:07:54 CDT 2021 x86_64 Intel(R) Core(TM)2 CPU 6320  @ 1.86GHz GenuineIntel GNU/Linux
Ho installato i pkgs di Conraid jack-1.9.19-x86_64-1cf.txz (ma anche con jack-1.9.18 di Ponce è la stessa cosa)
e qjackctl-0.9.4-x86_64-1cf.txz.
Ma proprio il server jack non ne vuol sapere di partire
messaggio da qjack:

Codice: Seleziona tutto

19:57:10.831 Statistics reset.
19:57:10.835 ALSA connection change.
19:57:10.951 ALSA connection graph change.
19:57:12.009 JACK is starting...
19:57:12.010 /usr/bin/jackd -v -r -u -S -dalsa -r44100 -p1024 -n2 -m -M -Xseq -D -Chw:Intel,0 -Phw:Intel,0
19:57:12.028 JACK was started with PID=2862.
[1;33m[W][000005743.628407][control.c:87 jackctl_server_create2()] not implemented 0x404860 0x4049b0 0x404a50[0m
[1;33m[W][000005743.629858][control.c:174 jackctl_server_get_parameters()] 0x702200: not implemented[0m
[1;33m[W][000005743.629876][control.c:162 jackctl_server_get_drivers_list()] 0x702200: not implemented[0m
[1;33m[W][000005743.629882][control.c:245 jackctl_driver_get_name()] 0x702220: not implemented[0m
Unknown driver "alsa"
[1;33m[W][000005743.629911][control.c:114 jackctl_server_destroy()] 0x702200: not implemented[0m
jackdmp 1.9.19
Copyright 2001-2005 Paul Davis and others.
Copyright 2004-2016 Grame.
Copyright 2016-2021 Filipe Coelho.
jackdmp comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
19:57:12.118 JACK was stopped
19:57:14.132 Could not connect to JACK server as client. - Overall operation failed. - Unable to connect to server. Please check the messages window for more info.
qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 709, resource id: 15211389, major code: 40 (TranslateCoords), minor code: 0
messaggio da shell lanciando jackd

Codice: Seleziona tutto

bash-5.1# jackd
jackdmp 1.9.19
Copyright 2001-2005 Paul Davis and others.
Copyright 2004-2016 Grame.
Copyright 2016-2021 Filipe Coelho.
jackdmp comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
[W][000005971.978349][control.c:87 jackctl_server_create2()] not implemented 0x404860 0x4049b0 0x404a50
[W][000005971.978440][control.c:174 jackctl_server_get_parameters()] 0x22af600: not implemented
Usage: jackdmp [ --no-realtime OR -r ]
               [ --realtime OR -R [ --realtime-priority OR -P priority ] ]
      (the two previous arguments are mutually exclusive. The default is --realtime)
               [ --name OR -n server-name ]
               [ --timeout OR -t client-timeout-in-msecs ]
               [ --loopback OR -L loopback-port-number ]
               [ --port-max OR -p maximum-number-of-ports]
               [ --slave-backend OR -X slave-backend-name ]
               [ --internal-client OR -I internal-client-name ]
               [ --internal-session-file OR -C internal-session-file ]
               [ --verbose OR -v ]
               [ --clocksource OR -c [ h(pet) | s(ystem) ]
               [ --autoconnect OR -a <modechar>]
[W][000005971.978739][control.c:174 jackctl_server_get_parameters()] 0x22af600: not implemented
                 where <modechar> is one of:
[W][000005971.978825][control.c:395 jackctl_parameter_get_enum_constraints_count()] (nil): not implemented
               [ --replace-registry ]
               [ --silent OR -s ]
               [ --sync OR -S ]
               [ --temporary OR -T ]
               [ --version OR -V ]
         -d master-backend-name [ ... master-backend args ... ]
       jackdmp -d master-backend-name --help
             to display options for each master backend
[W][000005971.979144][control.c:114 jackctl_server_destroy()] 0x22af600: not implemented
(tra l'altro dice di usare jackdmp, ma l'out è: command not found)

In pratica vedo uscire errori di allocazione memoria e non vorrei che sia bacata, ma il resto funziona tutto...
Ho controllato che in rc.d rc.alsa e rc.alsa-oss siano eseguibili, e lo sono.
Ho installato modalità full slackware 14.2-64, e i packages alsa ci sono

Codice: Seleziona tutto

bash-5.1# l  /var/lib/pkgtools/packages/ | G als
-rw-r--r-- 1 root root   17738 Jul  9 23:18 alsa-lib-1.2.4-x86_64-3
-rw-r--r-- 1 root root    1452 Oct 26 16:11 alsa-lib-compat32-1.2.5.1-x86_64-1compat32
-rw-r--r-- 1 root root    1037 Jul  9 23:18 alsa-oss-1.1.8-x86_64-3
-rw-r--r-- 1 root root    1157 Oct 26 16:11 alsa-oss-compat32-1.1.8-x86_64-3compat32
-rw-r--r-- 1 root root    3549 Jul  9 23:18 alsa-plugins-1.2.2-x86_64-3
-rw-r--r-- 1 root root    2461 Oct 26 16:11 alsa-plugins-compat32-1.2.5-x86_64-1compat32
-rw-r--r-- 1 root root    3259 Jul  9 23:07 alsa-utils-1.2.4-x86_64-3
Pensavo fosse una confusione per i compat32 che ho dovuto installare per usare wine.

Allora ho fatto una prova su un portatile asus-amd (modello F552EP) con la slackware 14.2-64 ancora intonsa,
che tengo così perchè ho avuto subito problemi se uso il mouse wi-fi, che fa le bizze se attacco un hd esterno usb3,
cosa inesistente sullo stesso pc se lo faccio partire in 14.2-32bit (coesistente in multiboot),
ma forse aprirò un altro post, intanto uso quello a filo o il touchpad che vanno lisci come l'olio
anche in compagnia del disco esterno...

Quindi anche sul portatile Asus (con 12 Giga di Ram, tra l'altro a questo ho anche aggiornato
il kernel per vedere di risolvere il problema mouse wi-fi)

Codice: Seleziona tutto

bash-5.1# uname -a
Linux darkstar.example.net 5.14.0 #1 SMP Sun Aug 29 22:54:53 CDT 2021 x86_64
AMD A4-5000 APU with Radeon(TM) HD Graphics AuthenticAMD GNU/Linux),
la cosa non cambia molto...

errore in qjackctl:

Codice: Seleziona tutto

18:51:39.272 JACK was started with PID=3341.
jackdmp 1.9.19
Copyright 2001-2005 Paul Davis and others.
Copyright 2004-2016 Grame.
Copyright 2016-2021 Filipe Coelho.
jackdmp comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
JACK server starting in realtime mode with priority 10
self-connect-mode is "Don't restrict self connect requests"
audio_reservation_init
Acquire audio card Audio0
creating alsa driver ... hw:0|hw:0|1024|2|48000|0|0|nomon|swmeter|-|32bit
ALSA: Cannot open PCM device alsa_pcm for playback. Falling back to capture-only mode
Released audio card Audio0
audio_reservation_finish
Cannot initialize driver
JackServer::Open failed with -1
Failed to open server
18:51:39.701 JACK was stopped
18:51:41.357 Could not connect to JACK server as client. - Overall operation failed. - Unable to connect to server. Please check the messages window for more info.
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 702, resource id: 15479085, major code: 40 (TranslateCoords), minor code: 0
tra l'altro vedo in riga 13 che c'è un riferimento all'alsa driver a 32 bit ... che sia quello?
(Ma sull'altro pc ho anche le alsa compat32 dalle multilib installate per Wine...)

mentre da shell non da errori di memoria come sull'intel, ma semplicemente non avvia niente:

Codice: Seleziona tutto

bash-5.1# jackd
jackdmp 1.9.19
Copyright 2001-2005 Paul Davis and others.
Copyright 2004-2016 Grame.
Copyright 2016-2021 Filipe Coelho.
jackdmp comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

Usage: jackdmp [ --no-realtime OR -r ]
               [ --realtime OR -R [ --realtime-priority OR -P priority ] ]
      (the two previous arguments are mutually exclusive. The default is --realtime)
               [ --name OR -n server-name ]
               [ --timeout OR -t client-timeout-in-msecs ]
               [ --loopback OR -L loopback-port-number ]
               [ --port-max OR -p maximum-number-of-ports]
               [ --slave-backend OR -X slave-backend-name ]
               [ --internal-client OR -I internal-client-name ]
               [ --internal-session-file OR -C internal-session-file ]
               [ --verbose OR -v ]
               [ --clocksource OR -c [ h(pet) | s(ystem) ]
               [ --autoconnect OR -a <modechar>]
                 where <modechar> is one of:
                   ' ' - Don't restrict self connect requests (default)
                   'E' - Fail self connect requests to external ports only
                   'e' - Ignore self connect requests to external ports only
                   'A' - Fail all self connect requests
                   'a' - Ignore all self connect requests
               [ --replace-registry ]
               [ --silent OR -s ]
               [ --sync OR -S ]
               [ --temporary OR -T ]
               [ --version OR -V ]
         -d master-backend-name [ ... master-backend args ... ]
       jackdmp -d master-backend-name --help
             to display options for each master backend
...Scusate la lunghezza della narrazione, ma volevo essere il più preciso possibile.
...Scusate il gran casino che penso mi stia succedendo con la 14.2-64, ma proprio non è mia volontà...
approdo a questa spiaggia perchè è da questa estate che leggo forums sul fastidioso messaggio
"Could not connect to JACK server as client" ma non sono ancora riuscito a risolvere
e non volevo disturbare troppo per le mie incapacità...
In tutti i casi non trova il driver alsa.
O devo installare il fatidico driver alsa, che però non avevo installato nella 14.1-32bit
ma tutto funzionava a dovere (e comunque non so come si installi né dove cercarlo...)?

Qualcuno avrebbe qualche dritta a disposizione...?

Grazie,
un salutone a tutti, e di più ai buoni di cuore...

PS. Se proprio non riuscirò mi sa che ripiallo tutto e torno alla 14.1 ma 64 bit,
visto che devo per forza usare programmi 64 bit per gestire maggiore RAM...
L'unico neo della 14.1-32 era solo che il bluez non caricava il chip bluetooth
della Cambridge (la 14.0 sì ... misteri del kernel...) ma tanto avevo già risolto comprandone un altro...
Un ciaone a tutti... :-D

Re: problemi con server jack in 14.2 current 64bit

Inviato: gio 11 nov 2021, 7:12
da ponce
ti consiglio di seguire questa guida di Alien Bob (leggila attentamente) che spiega come collegare pulseaudio a jack (nel paragrafo "Connecting the dots: ALSA -> Pulseaudio -> Jack")

https://alien.slackbook.org/blog/config ... -as-a-daw/

Re: problemi con server jack in 14.2 current 64bit

Inviato: gio 11 nov 2021, 23:35
da piccoloesploratore
OK. Leggerò attentamente e farò sapere (con calma... visto il tempo -sempre poco- che ho a disposizione...).
Anche se nei messaggi di errore si accenna ad Alsa...
Tra l'altro avevo già scaricato e fatto girare la Studioware di Alien...
Ma siccome sono una testa dura vorrei far girare i programmi aggiornati sulla mia 64 bit...
Intanto, Grazie! :thumbright:

Re: problemi con server jack in 14.2 current 64bit

Inviato: ven 12 nov 2021, 15:37
da brg
Con la 14.2 è stato introdotto Pulseaudio, quindi la differenza di comportamento di Jack tra la 14.1 e la 14.2 è riconducibile al fatto che ora non puoi connettere Jack con ALSA, ma devi farlo con Pulseaudio.

Re: problemi con server jack in 14.2 current 64bit

Inviato: lun 15 nov 2021, 19:47
da piccoloesploratore
Ho letto quanto propostomi da Ponce sul blog di Alien circa jack,
ma spiega solo come configurarlo e da per scontato che sia installato e funzioni
(tra l'altro, molto interessante di Alien anche questa guida:
https://alien.slackbook.org/blog/?s=jack)

Poi ieri ho ravanato in giro tutto il giorno sul web.
Intanto, grazie anche a te, brg!

Dunque le stringhe ricerca come "Could not connect to JACK server as client", o
"jack Unknown driver alsa", o "Unable to connect to server jack"
sono talmente generiche che vengono fuori milioni di risposte...
Alla fine mi sono imbattuto nel suggerimento più semplice per affrontare il problema:
disinstallare e reinstallare i componenti, e alla fine (complice anche un po' di fortuna)...
RISOLTO!!!!!! \:D/

Questa la storia:
dato che jack chiede le librerie pipewire, avevo installato quelle di Conraid,
le pipewire-jack-0.3.30-x86_64-1cf.txz.
Ma non sapevo che la Slackware current64 ha già le sue pipewire-0.3.27-x86_64-1.txz!!!
Quello l'inghippo della memoria che andava in conflitto...
Quindi ho tolto le 0.3.27 originali a favore delle pipewire-jack di Conraid,
più recenti, ma soprattutto contenenti la magica parolina "jack"...
Altra sorpresa: la memoria non entra più in conflitto, lancio jack,
ma stavolta mi dice "libpipewire-0.3.so.0: cannot open shared object file: No such file or directory".
Cerco nel sistema, ed effettivamente non ci sono...
Tolgo le pipewire-jack di conraid e metto jack-audio-connection-kit-0.124.1-x86_64-3_slonly.txz.
Ma qui sono emersi altri problemi che non ricordo (ero cotto dopo ore e ore di prove e riavvio...).
Mi pare ho dato un "sh /etc/rc.d/rc.pulseaudio stop"
(forse perchè erano partiti assieme pulseaudio e alsa)..
e comunque poi non si avvia più.
Per finire: rimuovo ancora tutto e metto solo jack. Niente libpipewire e pulseaudio
Strano a dirsi.. funziona... :roll:
Ma non ho nessuna libreria pipewire, ovvero
la fatidica libpipewire-0.3.so.0 continua a non esserci...
Ma funziona... funziona.. !!! :cheers: .
Per diligenza reinstallo le originali pipewire-0.3.27-x86_64-1.txz della current
Eccola lì... /usr/lib64/libpipewire-0.3.so.0! Meglio tenersela...
:thumbright:
Il prossimo esperimento un kernel bassa latenza, ma non so come si metterà
con la current, visto che ha il kernel 5.x.x...
Intanto non ho fretta... e prima mi faccio un rassicurante dd della partizione...
Grazie ancora a tutti! :mille:

Re: problemi con server jack in 14.2 current 64bit

Inviato: lun 15 nov 2021, 19:53
da piccoloesploratore
PS.: nei vari forum qualcuno diceva che jack necessita delle libffado,
pre cui ho provato con lo slackbuild di Ponce delle libffado.
Esso richiedeva libxml++-3.0, quindi pacchettizzo libxml++3.SlackBuild Ponce.
Tutto fila liscio finchè in fondo mi è apparso qusto messaggio:

Codice: Seleziona tutto

Makefile.am:6: error: ENABLE_DOCUMENTATION does not appear in AM_CONDITIONAL
    build/doc-reference.am:64: error: DIST_DOCTOOLS does not appear in AM_CONDITIONAL
    docs/Makefile.am:22:   'build/doc-reference.am' included from here
    build/doc-reference.am:70: error: ENABLE_DOCUMENTATION does not appear in AM_CONDITIONAL
    docs/Makefile.am:22:   'build/doc-reference.am' included from here
    examples/Makefile.am: installing 'build/depcomp'
    autoreconf: automake failed with exit status: 1
Non so se è colpa del mio sistema o cosa...
O forse dovevo installare prima qualcos'altro...
Comunque tanto ho visto che posso fare a meno delle libffado... :D

Re: problemi con server jack in 14.2 current 64bit

Inviato: mar 16 nov 2021, 19:40
da rik70
Non per farmi gli affari 'vostri', ma dopo aver installato jack è utile ricompilare il pacchetto pulseaudio della distribuzione.

In questo modo si attivano i 'sink' jack che permetto di far 'passare' tutto l'audio pulse attraverso il server jack senza tropi patemi d'animo, soprattutto se si utilizza 'jackdbus' e applicazioni adatte.
Sulla current fila tutto liscio come l'olio: ho creato uno slackbuild per Cadence(versione git), che trovo un programma molto interessante e utile allo scopo.

Se volete se ne riparla da qualche parte.

Buon divertimento 8)

Re: problemi con server jack in 14.2 current 64bit

Inviato: gio 18 nov 2021, 22:51
da piccoloesploratore
:wink: grazie rik70!
Comunque adesso jack mi funziona, e non so nemmeno se usa pulseaudio.
Teoricamente starebbe usando alsa, dato che in rc.d ho rc.alsa e rc.alsa-oss li ho resi eseguibili,
mentre l'rc.pulseaudio è in sola lettura.
A meno che pulseaudio parta in automatico dal kernel senza che glielo chieda io... ma come faccio a saperlo...? #-o
Piuttosto - dato che sono newbe - per ricompilare pulseaudio come dici tu,
costrusco lo SlackBuild contenuto in /source/l/pulseaudio/ della distribuzione, giusto?
Poi tolgo tutti i pkg installati, ovvero pulseaudio-14.2-x86_64-3.txz, pulseaudio-9.0-x86_64-1.txz,
meno il pulseaudio-qt-1.2-x86_64-3 e il xfce4-pulseaudio-plugin-0.4.3-x86_64-4. Giusto?
Comunque, intanto che va bene... come si dice... fin che la barca va... dato che sono appena uscito da un bel temporalone... :sunny:

PS.: scusate se mi permetto, è una bazzecola, ma volevo far presente che
nello SlackBuild di Conraid di pdfsam-bin, alla fine esce il pdfsam.desktop con un errore in riga Exec.
La riga che risulta è

Codice: Seleziona tutto

Exec=/usr/share/pdfsam/bin/pdfsam-basic %F
ma in questo modo non parte dal menu delle applicazioni, andrebbe cambiata in

Codice: Seleziona tutto

Exec=/usr/share/pdfsam/bin/pdfsam.sh %F
...Scusate la presunzione... Chiaro che è una inutilità (infatti si può lanciare da shell),
ma penso agli imbranati come me che vengono da windows e fanno tutto da GUI... :profileright:

Salutoni! :wink:

Re: problemi con server jack in 14.2 current 64bit - RISOLTO

Inviato: ven 19 nov 2021, 16:05
da rik70
Occhio: prendo come riferimento la current 'pulita', più gli SlackBuild del repository di ponce. Quindi niente pacchetti di terze parti già compilati.

Una volta compilato e installato jack, devi scaricare tutto questo http://ftp.osuosl.org/pub/slackware/sla ... ulseaudio/ e ricompilare lanciando lo SlackBuild da dentro quella c\artella.
Al termine installi il pacchetto con:

Codice: Seleziona tutto

'ugradepkg --install-new --reinstall' /tmp[nome_pacchetto_pulseaudio]
A questo punto avrai pulseaudio con supporto a jackaudio, cosa che ti permetterà di far coesistere i 2 server audio se dovessi avere questa esigenza.

Discorso analogo dovrebbe valere per la 14.2, ma devi usare i suoi sorgenti del pacchetto pulseaudio - e non è detto che funzioni.

piccoloesploratore ha scritto:
gio 18 nov 2021, 22:51
pulseaudio-qt-1.2-x86_64-3 e il xfce4-pulseaudio-plugin-0.4.3-x86_64-4
Questi puoi lasciarli così come sono.

piccoloesploratore ha scritto:
gio 18 nov 2021, 22:51
Teoricamente starebbe usando alsa, dato che in rc.d ho rc.alsa e rc.alsa-oss li ho resi eseguibili,
mentre l'rc.pulseaudio è in sola lettura.
rc.pulseaudio non va reso eseguibile, salvo casi particolari - leggi la parte commentata dello script di avvio.
Il server viene sempre attivato in automatico a livello utente quando avvii una sessione grafica - xfce, kde, etc; solo in casi specifici va lanciato a mano con 'pulseaudio --start'.

Per quanto riguarda rc.alsa:
Since pulseaudio is now included with Slackware, you'll almost surely want
/etc/rc.d/rc.alsa to be mode 0644 (non-executable) since it no longer needs
to be run on system boot.
Questo perché di default alsa 'passa' attraverso pulseaudio.

Discorso analogo vale per rc.alsa-oss - anche qui vedi il contenuto dello script di avvio.

Re: problemi con server jack in 14.2 current 64bit - RISOLTO

Inviato: lun 22 nov 2021, 23:01
da piccoloesploratore
grazie rik 70,
provvederò al più presto.
Ma mi viene un po' un brivido...
Già Ponce mi aveva messo in guardia dai .txz di terze parti, specialmente pkgs.org,
ma - a parte questo caso specifico - vuol dire che una volta che ho installato la Slackware
devo poi farmi ancora i build dei source...?
O solo quelli importanti (e quali sono...?)
Usare .txz già pronti e blasonati (Alien, Ponce, Conraid...)?
Alla faccia della mia prigrizia... :oops:
Grazie ancora delle info dettagliate, e
e salutoni! :-D

Re: problemi con server jack in 14.2 current 64bit - RISOLTO

Inviato: mar 23 nov 2021, 14:01
da rik70
piccoloesploratore ha scritto:
lun 22 nov 2021, 23:01
ma - a parte questo caso specifico - vuol dire che una volta che ho installato la Slackware
devo poi farmi ancora i build dei source...?
No, che io sappia.
Un altro pacchetto che, nel caso specifico(jackaudio), potresti voler ricompilare è MPlayer.
Ma ripeto, non è necessario per tutte le situazioni.

Sui pacchetti di terze parti non so risponderti:
io non ne uso - perché non è per questo che installo Slackware - ma immagino che almeno quelli degli utenti/autori che hai citato siano ben fatti e ben documentati.

Re: problemi con server jack in 14.2 current 64bit - RISOLTO

Inviato: mar 23 nov 2021, 18:51
da joe
In generale:
- c'è il repo ufficiale con i precompilati da Pat
- su questo si appoggia tutto il resto che trovi precompilato nei repository terzi (AlienBob, ecc).
- anche gli slackbuilds di SBo sono pensati per funzionare con un'installazione pulita (in realtà limitandosi alla stabile in modo garantito)

Questo implica che, se tu fai un minestrone, sostituendo roba ufficiale con roba compilata in modo personalizzato da te, oppure aggiungi roba dai repo terzi precompilati, potrebbe succedere che quando vai ad esempio a compilare un pacchetto da SBo, salti fuori qualche errore.
Oppure ad esempio, compili MPV (che è un pacchetto terzo, ad esempio compilato via SBo) poi aggiorni il parco base dal repo ufficiale, ecco che MPV potrebbe non funzionare più perché magari si aspetta delle versioni di ffmpeg precedenti che invece Pat potrebbe aver aggiornato... Niente di ché ma devi ricompilarlo.
Ovviamente il discorso vale al cubo se stai usando current. Il tutto fermo restando che SBo in teoria garantisce solo il ramo stabile 14.2, se usi 14.2+ cioè current, puoi utilizzare il repo git di Ponce, ma non è garantito supporto, cioè qualcosa potrebbe non funzionare e devi essere consapevole di star facendo il beta-tester. Il ché è interessante e collaborativo ma non si sposa al massimo con un sistema per uso tranquillo o dove è critico che tutto funzioni a dovere.
Mi spiegava Ponce tempo fa che ad ogni aggiornamento del parco software ufficiale della current, ha una coda di compilazione di tutto il software di SBo, quindi di fatto aggiorna e poi ricompila tutto. Però se non ricordo male diceva di farlo su un server remoto.

Il tutto vale come discorso teorico e generale, poi nella pratica, probabilmente un aggiornamento di versione di qualche cosa che sta sotto il cofano non va ad incidere sul funzionamento del resto del sistema. Però potrebbe e in alcuni casi saltano fuori errori... Pertanto se usi current e hai tanti pacchetti extra ufficiali sei consapevole di poter trovarti in necessità di aggiornare anche la roba terza che hai installato da precompilati o di dover ricompilare parecchia roba installata da sorgenti.

Re: problemi con server jack in 14.2 current 64bit - RISOLTO

Inviato: mer 24 nov 2021, 23:27
da piccoloesploratore
... ragazzi... qui la questione si fa grossa... :roll:
Ero partito con un problema per jack e mi trovo tra guru in cui mi sento
veramente piccolo piccolo...
Comunque ho capito.
A parte che posso ricompilare anche Mplayer, ma non è un problema,
sia perchè funziona bene già così, sia perchè mi sembra solo un player.
Jack mi servirebbe per riuscire a lavorare con programmi audio/midi,
tipo ardour/muse o usarlo veramente come connessione
di soundfonts/samplers tra programmi (.. se riesco...).
Avevo bisogno di una base a 64 bit per gestire più Ram per sounfonts
grossi e mi sono lanciato nella current. Magari potrei fare un passo indietro
e installare la 14.2 stable a 64 bit. O ancora la 14.1-64, visto che vengo
dalla 14.1-32 di cui non posso che dire bene (anche perchè Knotes girava anche in root,
senza troppe storie di Akonadi, o MariaDb che ora devono girare in user...).
Al momento, risolto jack, non ho problemi (a parte che non riesco più
a connettere i 2 pc via Lan come facevo prima col 32 bit, anche se ora li ho riconvertiti a 64,
ma risolverò in un modo o nel'altro forse è solo questione di Kernel che è diverso tra l'uno e l'altro...)
Comunque in generale non prendo roba precompilata, a parte il solito libreoffice,
che poi prendo da Alien, sempre che prima non trovassi quel che cerco da Ponce o Conraid:
veramente non so come ringraziarli per tutto il lavoro che fanno,
specialmente in questa fase di evoluzione della current! =D> =D> =D>
Per Sbo vado su SlackBuilds.org. In caso disperato in cui non trovassi, vado coi sorgenti,
che poi metto sempre in /opt e linko tutto a mano (anche se è lunga... :doubt: )
proprio per tenere il sistema pulito e saper cosa fare nel caso di rimozione...
L'unico problema è quando ci sono delle librerie che non trovo,
magari perchè nella Slackware sono contenute già in altri pacchetti e non lo so...
Allora lì cerco in giro... Magari la trovo singola libreria *.deb che mi riconverto, ma non mi sembra una cosa sana...
Però il sistema gira regolare. Mi verrebbe la tentazione di scaricarmi
una copia recente della current da qualche mirror e fare un "ugradepkg --install-new --reinstall"
dei txz che ho scaricato, ma al momento mi trattengo... (e comunque, dovessi farlo,
sempre previo freeze del sistema funzionante, con dd...).
Comunque ragazzi che dire...?
Mi sento veramente lusingato e piccolo piccolo davanti a tanta esperienza
e vi ringrazio tanto tanto dell'attenzione che mi dedicate.
Complimenti a tutto lo Staff!! :salute: :mille: :thumbright: